This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 640644 - [dm-snap] Handle snapshot overflow gracefully
[dm-snap] Handle snapshot overflow gracefully
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Mikulas Patocka
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-06 10:48 EDT by Mikulas Patocka
Modified: 2014-02-12 12:31 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
LVM snapshots
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikulas Patocka 2010-10-06 10:48:54 EDT
Extending snapshots in dmeventd will be soon implemented. We must handle the situation when the snapshot overflows before dmeventd does it's job more gracefully; losing all data (what it does now) is really the worst possibility for some workloads.

Possible ideas:
* block writes to the origin and snapshot until dmeventd does its job (disadvantage --- dmeventd may wait for some memory allocation that results in write to the blocked origin)
* drop the snapshot (current behavior; prevents system crash and origin problems but destroys all data on the snapshot)
* return -EIO on all writes to the origin and snapshot --- doesn't cause system crash, causes problems on the origin (if the origin is root fs, it will cause a crash). On the other hand, it won't cause data corruption neither on the origin nor on the snapshot, after reboot data is intact.
* throttle writes to the snapshot --- hardest to implement but I think it is the best workaround for the deadlock.
Comment 1 Fedora End Of Life 2013-04-03 16:10:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.